/// <reference types="react" />
/**
 * A component that requires permissions and renders different content based on the permissions state
 */
export declare function WithPermissions(options: WithPermissionsOptions): JSX.Element | undefined;
export interface WithPermissionsOptions {
    renderIfLoading: () => JSX.Element;
    renderIfGranted: () => JSX.Element;
    renderIfDenied: () => JSX.Element;
    renderIfPrompt: () => JSX.Element;
}
